Bug 483351 - pata_jmicron module spitting lot of error messages
pata_jmicron module spitting lot of error messages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-30 16:31 EST by Xavier Bachelot
Modified: 2009-12-18 02:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:45:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2009-01-30 16:31:13 EST
Description of problem:
console is flooded with this messages every few seconds :

ata8: SATA link down (SStatus 0 SControl 300)
ata8: EH complete
ata8: exception Emask 0x10 SAct 0x0 SErr 0x4000000 action 0xe frozen
ata8: irq_stat 0x00000040, connection status changed
ata8: SError: { DevExch }
ata8: hard resetting link


Version-Release number of selected component (if applicable):
kernel is 2.6.27.12-170.2.5.fc10.i686


How reproducible:
always


Additional info:
from dmesg :
ata8: SATA max UDMA/133 abar m8192@0xfaffe000 port 0xfaffe180 irq 16
scsi8 : pata_jmicron
scsi 8:0:0:0: Direct-Access     ATA      ST380011A        3.04 PQ: 0 ANSI: 5

lspci :
03:00.0 SATA controller: JMicron Technologies, Inc. JMicron 20360/20363
AHCI Controller (rev 03)
03:00.1 IDE interface: JMicron Technologies, Inc. JMicron 20360/20363
AHCI Controller (rev 03)

lspci -vn :
03:00.0 0106: 197b:2363 (rev 03) (prog-if 01 [AHCI 1.0])
        Subsystem: 1043:81e4
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at faffe000 (32-bit, non-prefetchable) [size=8K]
        Expansion ROM at fafe0000 [disabled] [size=64K]
        Capabilities: [68] Power Management version 2
        Capabilities: [50] Express Legacy Endpoint, MSI 01
        Kernel driver in use: ahci

03:00.1 0101: 197b:2363 (rev 03) (prog-if 85 [Master SecO PriO])
        Subsystem: 1043:81e4
        Flags: bus master, fast devsel, latency 0, IRQ 17
        I/O ports at dc00 [size=8]
        I/O ports at d880 [size=4]
        I/O ports at d800 [size=8]
        I/O ports at d480 [size=4]
        I/O ports at d400 [size=16]
        Capabilities: [68] Power Management version 2
        Kernel driver in use: pata_jmicron
        Kernel modules: pata_jmicron

Is there anything else I can provide to help debug this ?
Comment 1 Chuck Ebbert 2009-01-31 14:15:01 EST
Did the previous kernel work okay?
Comment 2 Xavier Bachelot 2009-01-31 16:28:28 EST
No, previous kernel (2.6.27.9-159.fc10.i686) had the same issue.
Comment 3 Chuck Ebbert 2009-02-05 00:00:53 EST
Should be fixed in 2.6.27.15-170.2.17 and later versions.
Comment 4 Xavier Bachelot 2009-02-05 04:49:46 EST
Confirmed, no more errors on the console or in the logs. Thanks a lot for the quick fix.
Comment 5 Xavier Bachelot 2009-02-19 17:59:38 EST
With 2.6.27.15-170.2.24.fc10.i686, the error is back...
Comment 6 Xavier Bachelot 2009-08-28 18:45:11 EDT
2.6.27.30-170.2.82.fc10.i686 still have the issue.
Comment 7 Bug Zapper 2009-11-18 05:55:40 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 02:45:11 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.